server crashing with Include file z/addons.... error

Discussion in 'Support' started by Wastelandia, Jul 15, 2018.

  1. Wastelandia

    Wastelandia New Member

    Joined:
    Jul 12, 2018
    Messages:
    3
    Likes Received:
    0
    Hi All, got the server running and now it crashes when i am loading in with a include file error refering to a z/addons... path that it will of course never find. Any ideas?

    see the screenshot of the error

    https://gyazo.com/009fc1a52571698bdd7379f56c8e353d
     
  2. Wastelandia

    Wastelandia New Member

    Joined:
    Jul 12, 2018
    Messages:
    3
    Likes Received:
    0
  3. ShootingBlanks

    ShootingBlanks OpenDayZ Guru!

    Joined:
    Mar 31, 2013
    Messages:
    2,445
    Likes Received:
    337
    That was quite a few years ago and it was much more convoluted than I had hoped it would be.
    I probably never tested the dayz version there as I was fooling with overpoch. But Dayz has changed a lot since. ...
    Post your RPT log, but usually that means the mods are not getting loaded correctly.
    On your server folder. Did you install Arma2 and Arma2 OA into the same folder?
    You are running just Dayz correct?,
     
    Last edited: Jul 16, 2018
  4. Wastelandia

    Wastelandia New Member

    Joined:
    Jul 12, 2018
    Messages:
    3
    Likes Received:
    0
  5. ShootingBlanks

    ShootingBlanks OpenDayZ Guru!

    Joined:
    Mar 31, 2013
    Messages:
    2,445
    Likes Received:
    337
    The Z path refers to the root of Arma2 folder.
    When you load a mod like @epoch, it has a subfolder "addons" which is automatically added into the "addons" folder of Arma2.
    So the Z in this line z\addons\dayz_code\init\publicEH.sqf, line 100
    refers to the "addons" folder, dayz_code PBO, init folder, publicEH.sqf file...

    The Server is actually starting. Then there are errors. Is this running on your local PC or on a remote VPS server?
    run this file, make sure all your dll are up to date IF you are using a remote VPS.
    http://iareserver.com/files/misc/vcredist_x86.exe

    Most likely the issue is file incompatibility. I made that for some older versions of the mods. Make sure you are using the current version of Epoch in @epoch, @epoch_server AND mpmissions.
     
  6. Inkko

    Inkko Valued Member!

    Joined:
    Jan 12, 2013
    Messages:
    720
    Likes Received:
    94
    You have the correct epoch and overwatch mod versions installed in the server location as well correct? Could be a bad version error as well.
     

Share This Page